Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/ifupdown: update to 0.7.48.1

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Fri, 19 Sep 2014 14:44:42 -0700

* fix url
* update patches
* move from unmaintained to testing
---
 testing/ifupdown/APKBUILD                          | 56 ++++++++++++++++++++++
 testing/ifupdown/ifupdown-alpine-ifstate.patch     | 13 +++++
 testing/ifupdown/ifupdown-busybox-compat.patch     | 40 ++++++++++++++++
 testing/ifupdown/ifupdown-cflags-version.patch     | 10 ++++
 testing/ifupdown/ifupdown-no-dpkg.patch            | 26 ++++++++++
 testing/ifupdown/ifupdown.post-deinstall           |  3 ++
 testing/ifupdown/ifupdown.post-upgrade             |  3 ++
 unmaintained/ifupdown/APKBUILD                     | 42 ----------------
 .../ifupdown/ifupdown-alpine-ifstate.patch         | 13 -----
 .../ifupdown/ifupdown-busybox-compat.patch         | 38 ---------------
 unmaintained/ifupdown/ifupdown.post-deinstall      |  3 --
 unmaintained/ifupdown/ifupdown.post-upgrade        |  3 --
 12 files changed, 151 insertions(+), 99 deletions(-)
 create mode 100644 testing/ifupdown/APKBUILD
 create mode 100644 testing/ifupdown/ifupdown-alpine-ifstate.patch
 create mode 100644 testing/ifupdown/ifupdown-busybox-compat.patch
 create mode 100644 testing/ifupdown/ifupdown-cflags-version.patch
 create mode 100644 testing/ifupdown/ifupdown-no-dpkg.patch
 create mode 100644 testing/ifupdown/ifupdown.post-deinstall
 create mode 100644 testing/ifupdown/ifupdown.post-upgrade
 delete mode 100644 unmaintained/ifupdown/APKBUILD
 delete mode 100644 unmaintained/ifupdown/ifupdown-alpine-ifstate.patch
 delete mode 100644 unmaintained/ifupdown/ifupdown-busybox-compat.patch
 delete mode 100644 unmaintained/ifupdown/ifupdown.post-deinstall
 delete mode 100644 unmaintained/ifupdown/ifupdown.post-upgrade
diff --git a/testing/ifupdown/APKBUILD b/testing/ifupdown/APKBUILD
new file mode 100644
index 0000000..b8295db
--- /dev/null
+++ b/testing/ifupdown/APKBUILD
_at_@ -0,0 +1,56 @@
+# Contributor: William Pitcock <nenolod_at_dereferenced.org>
+# Maintainer: William Pitcock <nenolod_at_dereferenced.org>
+pkgname=ifupdown
+pkgver=0.7.48.1
+pkgrel=0
+pkgdesc="high level tools to configure network interfaces"
+url="http://packages.debian.org/ifupdown"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="perl"
+install="$pkgname.post-deinstall $pkgname.post-upgrade"
+subpackages=
+source="http://ftp.de.debian.org/debian/pool/main/i/$pkgname/${pkgname}_$pkgver.tar.xz
+	ifupdown-busybox-compat.patch
+	ifupdown-alpine-ifstate.patch
+	ifupdown-cflags-version.patch
+	ifupdown-no-dpkg.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make BASEDIR="$pkgdir" install || return 1
+}
+
+md5sums="8639546ff7b07277d412243c9d97c2a7  ifupdown_0.7.48.1.tar.xz
+c16541064bfb1d5e520acf41b6e990c9  ifupdown-busybox-compat.patch
+dc9f46ad2bfffebffa41b74520ddb103  ifupdown-alpine-ifstate.patch
+4332f9a584fbb762ab48edc6f3a953c5  ifupdown-cflags-version.patch
+74a96adf311db2acfc52110f85a510cd  ifupdown-no-dpkg.patch"
+sha256sums="cc3f63a79e6647b37aba06a51497afe4d641c3f15465ddec91bfa6b39920dfa3  ifupdown_0.7.48.1.tar.xz
+b7423069317d87de8aa743d3203bbd537aab2a1b5a33c9c71c7d9de259bedfdf  ifupdown-busybox-compat.patch
+0b8e64b1a9dcf7bdbd6434289a51f142b1ab702fe5d97ffd4a9d4d793293d7b0  ifupdown-alpine-ifstate.patch
+defdfa65fd774af133d344a80ce5224e2412f513b10b54946ae2fdba2f1d8ea3  ifupdown-cflags-version.patch
+912d37c13ee1e06e24b7208819dd419451fd42b0091c4c4d9236eec6ccd248c8  ifupdown-no-dpkg.patch"
+sha512sums="6fcaa3c5370edab2c593e96269f80873403adf8963d68cfc5aebbff38da310754b1de6c1ecea9642786e5510e24d153b71361ad6d66c7a92be25738fcc3fa5e8  ifupdown_0.7.48.1.tar.xz
+2dc92ba007cac0bc5bc0c82d6283a772b4b20330e1569a6e889fa02a17debd08e3063cafbd7e6c447b38f8d93597d953dbf2d236c67415cfac24d0accaa3b881  ifupdown-busybox-compat.patch
+422998dae8d0ac6049064c93c22baea143eefa7cab9a330b41ec6e317294da4976c193a7a252a8b4a3a47b93ebb01ef308f5a3803838d6452fc283a159ad1e89  ifupdown-alpine-ifstate.patch
+ffe843f52b894b80dde4401bc71434f9d78d3498c501e3bc46c9737628283cb518834ed972d4381521535ce6de45dd606d3940420d21308c87602ec828e9c3ba  ifupdown-cflags-version.patch
+dfda752c68fd71d016f770753fa7142179dcb2c6f92cc78a9efa8135897e8186c549062bb1631c50c6087725e796c62e900d3f3a91e52d8c436be64a18efbfba  ifupdown-no-dpkg.patch"
diff --git a/testing/ifupdown/ifupdown-alpine-ifstate.patch b/testing/ifupdown/ifupdown-alpine-ifstate.patch
new file mode 100644
index 0000000..fd76da9
--- /dev/null
+++ b/testing/ifupdown/ifupdown-alpine-ifstate.patch
_at_@ -0,0 +1,13 @@
+diff --git a/header.h b/header.h
+index b621448..a735176 100644
+--- a/header.h
++++ b/header.h
+_at_@ -97,7 +97,7 @@ struct mapping_defn
+ #define MAX_VARNAME    32
+ #define EUNBALPER   10000
+ #ifndef RUN_DIR
+-#define RUN_DIR "/run/network/"
++#define RUN_DIR "/var/run/"
+ #endif
+ 
+ #ifndef LO_IFACE
diff --git a/testing/ifupdown/ifupdown-busybox-compat.patch b/testing/ifupdown/ifupdown-busybox-compat.patch
new file mode 100644
index 0000000..36c3d7c
--- /dev/null
+++ b/testing/ifupdown/ifupdown-busybox-compat.patch
_at_@ -0,0 +1,40 @@
+diff --git a/main.c b/main.c
+index eea2492..008ed8f 100644
+--- a/main.c
++++ b/main.c
+_at_@ -89,7 +89,7 @@ static void help(char *execname, int (*cmds) (interface_defn *))
+     printf("\t--no-loopback\t\tdon't act specially on the loopback device\n");
+     if (!(cmds == iface_list)
+         && !(cmds == iface_query)) {
+-        printf("\t--force\t\t\tforce de/configuration\n");
++        printf("\t-f,--force\t\t\tforce de/configuration\n");
+         printf("\t--ignore-errors\t\t\tignore errors\n");
+     }
+     if ((cmds == iface_list)
+_at_@ -410,7 +410,7 @@ int main(int argc, char **argv)
+         {"no-mappings", no_argument, NULL, 1},
+         {"no-scripts", no_argument, NULL, 4},
+         {"no-loopback", no_argument, NULL, 5},
+-        {"force", no_argument, NULL, 2},
++        {"force", no_argument, NULL, 'f'},
+         {"ignore-errors", no_argument, NULL, 7},
+         {"option", required_argument, NULL, 'o'},
+         {"list", no_argument, NULL, 'l'},
+_at_@ -473,7 +473,7 @@ int main(int argc, char **argv)
+     }
+     for (;;) {
+         int c;
+-        c = getopt_long(argc, argv, "X:s:i:o:hVvnal", long_opts, NULL);
++        c = getopt_long(argc, argv, "X:s:i:o:hVvnalf", long_opts, NULL);
+         if (c == EOF)
+             break;
+ 
+_at_@ -504,7 +504,7 @@ int main(int argc, char **argv)
+             case 5:
+                 no_loopback = true;
+                 break;
+-            case 2:
++            case 'f':
+                 if ((cmds == iface_list) || (cmds == iface_query))
+                     usage(argv[0]);
+                 force = 1;
diff --git a/testing/ifupdown/ifupdown-cflags-version.patch b/testing/ifupdown/ifupdown-cflags-version.patch
new file mode 100644
index 0000000..1ef9ef9
--- /dev/null
+++ b/testing/ifupdown/ifupdown-cflags-version.patch
_at_@ -0,0 +1,10 @@
+--- a/Makefile
++++ b/Makefile
+_at_@ -1,5 +1,6 @@
+ VERSION ?= 0.7
+-CFLAGS ?= -Wall -W -g -O2 -D'IFUPDOWN_VERSION="$(VERSION)"'
++CFLAGS ?= -Wall -W -g -O2 
++CFLAGS += -D'IFUPDOWN_VERSION="$(VERSION)"'
+ ARCH ?= linux
+ 
+ BASEDIR ?= $(DESTDIR)
diff --git a/testing/ifupdown/ifupdown-no-dpkg.patch b/testing/ifupdown/ifupdown-no-dpkg.patch
new file mode 100644
index 0000000..4cb9268
--- /dev/null
+++ b/testing/ifupdown/ifupdown-no-dpkg.patch
_at_@ -0,0 +1,26 @@
+diff --git a/defn2c.pl b/defn2c.pl
+index c449de2..ef8d475 100755
+--- a/defn2c.pl
++++ b/defn2c.pl
+_at_@ -2,7 +2,7 @@
+ 
+ use strict;
+ 
+-my $DEB_HOST_ARCH_OS = `dpkg-architecture -qDEB_HOST_ARCH_OS`;
++my $DEB_HOST_ARCH_OS = `uname -s|tr [A-Z] [a-z]`;
+ 
+ $DEB_HOST_ARCH_OS =~ s/\n//;
+ 
+diff --git a/defn2man.pl b/defn2man.pl
+index 6ddcfdd..f1e6bde 100755
+--- a/defn2man.pl
++++ b/defn2man.pl
+_at_@ -2,7 +2,7 @@
+ 
+ use strict;
+ 
+-my $DEB_HOST_ARCH_OS = `dpkg-architecture -qDEB_HOST_ARCH_OS`;
++my $DEB_HOST_ARCH_OS = `uname -s | tr [A-Z] [a-z]`;
+ 
+ $DEB_HOST_ARCH_OS =~ s/\n//;
+ 
diff --git a/testing/ifupdown/ifupdown.post-deinstall b/testing/ifupdown/ifupdown.post-deinstall
new file mode 100644
index 0000000..99b57c4
--- /dev/null
+++ b/testing/ifupdown/ifupdown.post-deinstall
_at_@ -0,0 +1,3 @@
+#!/bin/sh
+
+busybox --install -s
diff --git a/testing/ifupdown/ifupdown.post-upgrade b/testing/ifupdown/ifupdown.post-upgrade
new file mode 100644
index 0000000..99b57c4
--- /dev/null
+++ b/testing/ifupdown/ifupdown.post-upgrade
_at_@ -0,0 +1,3 @@
+#!/bin/sh
+
+busybox --install -s
diff --git a/unmaintained/ifupdown/APKBUILD b/unmaintained/ifupdown/APKBUILD
deleted file mode 100644
index 503d927..0000000
--- a/unmaintained/ifupdown/APKBUILD
+++ /dev/null
_at_@ -1,42 +0,0 @@
-# Contributor: William Pitcock <nenolod_at_dereferenced.org>
-# Maintainer: William Pitcock <nenolod_at_dereferenced.org>
-pkgname=ifupdown
-pkgver=0.6.10
-pkgrel=3
-pkgdesc="high level tools to configure network interfaces"
-url="http://packages.debian.org/ifupdown"
-arch="all"
-license="GPL"
-depends=
-depends_dev=
-makedepends="perl"
-install="$pkgname.post-deinstall $pkgname.post-upgrade"
-subpackages=
-source="http://ftp.debian.org/pool/main/i/$pkgname/${pkgname}_$pkgver.tar.gz
-	ifupdown-busybox-compat.patch
-	ifupdown-alpine-ifstate.patch"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make BASEDIR="$pkgdir" install || return 1
-}
-
-md5sums="70db0d8caf06a17d65b612fa8919732b  ifupdown_0.6.10.tar.gz
-b0f42f7ce1a4f416eddaa304db2d270e  ifupdown-busybox-compat.patch
-486600edad1d9bf5b1a05bde421345e9  ifupdown-alpine-ifstate.patch"
diff --git a/unmaintained/ifupdown/ifupdown-alpine-ifstate.patch b/unmaintained/ifupdown/ifupdown-alpine-ifstate.patch
deleted file mode 100644
index ae00950..0000000
--- a/unmaintained/ifupdown/ifupdown-alpine-ifstate.patch
+++ /dev/null
_at_@ -1,13 +0,0 @@
---- ifupdown-0.6.10.orig/main.c
-+++ ifupdown-0.6.10/main.c
-_at_@ -17,8 +17,8 @@
- #line 3166 "ifupdown.nw"
- int no_act = 0;
- int verbose = 0;
--char *statefile = "/etc/network/run/ifstate";
--char *tmpstatefile = "/etc/network/run/.ifstate.tmp";
-+char *statefile = "/var/run/ifstate";
-+char *tmpstatefile = "/var/run/.ifstate.tmp";
- #line 3185 "ifupdown.nw"
- static void usage(char *execname);
- static void help(char *execname);
diff --git a/unmaintained/ifupdown/ifupdown-busybox-compat.patch b/unmaintained/ifupdown/ifupdown-busybox-compat.patch
deleted file mode 100644
index 10d4cee..0000000
--- a/unmaintained/ifupdown/ifupdown-busybox-compat.patch
+++ /dev/null
_at_@ -1,38 +0,0 @@
---- ifupdown-0.6.10.orig/main.c
-+++ ifupdown-0.6.10/main.c
-_at_@ -61,7 +61,7 @@
- 	printf("\t\t\t\t(note that this option doesn't disable mappings)\n");
- 	printf("\t-v, --verbose\t\tprint out what would happen before doing it\n");
- 	printf("\t--no-mappings\t\tdon't run any mappings\n");
--	printf("\t--force\t\t\tforce de/configuration\n");
-+	printf("\t-f, --force\t\t\tforce de/configuration\n");
- 	exit(0);
- }
- #line 3573 "ifupdown.nw"
-_at_@ -345,7 +345,7 @@
- 	{"exclude",     required_argument, NULL, 'e'},
- 	{"no-act",      no_argument,       NULL, 'n'},
- 	{"no-mappings", no_argument,       NULL,  1 },
--	{"force",       no_argument,       NULL,  2 },
-+	{"force",       no_argument,       NULL, 'f'},
- 	{0,0,0,0}
- };
- #line 3173 "ifupdown.nw"
-_at_@ -415,7 +415,7 @@
- #line 3235 "ifupdown.nw"
- for(;;) {
- 	int c;
--	c = getopt_long(argc, argv, "e:s:i:hVvna", long_opts, NULL);
-+	c = getopt_long(argc, argv, "e:s:i:hVvnaf", long_opts, NULL);
- 	if (c == EOF) break;
- 
- 	switch(c) {
-_at_@ -445,7 +445,7 @@
- 	run_mappings = 0;
- 	break;
- #line 3283 "ifupdown.nw"
--case 2:
-+case 'f':
- 	force = 1;
- 	break;
- #line 3288 "ifupdown.nw"
diff --git a/unmaintained/ifupdown/ifupdown.post-deinstall b/unmaintained/ifupdown/ifupdown.post-deinstall
deleted file mode 100644
index 99b57c4..0000000
--- a/unmaintained/ifupdown/ifupdown.post-deinstall
+++ /dev/null
_at_@ -1,3 +0,0 @@
-#!/bin/sh
-
-busybox --install -s
diff --git a/unmaintained/ifupdown/ifupdown.post-upgrade b/unmaintained/ifupdown/ifupdown.post-upgrade
deleted file mode 100644
index 99b57c4..0000000
--- a/unmaintained/ifupdown/ifupdown.post-upgrade
+++ /dev/null
_at_@ -1,3 +0,0 @@
-#!/bin/sh
-
-busybox --install -s
-- 
2.1.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Sep 19 2014 - 14:44:42 GMT